org.objectweb.util.ant

## Class Xalan2Liaison

- java.lang.Object
- - org.objectweb.util.ant.Xalan2Liaison

All Implemented Interfaces:
  org.apache.tools.ant.taskdefs.XSLTLiaison

    public class Xalan2Liaison
    extends Object
    implements org.apache.tools.ant.taskdefs.XSLTLiaison

This class permits to use the Xalan 2.

Author:
  Sebastien Chassande-Barrioz

### Field Summary

### Fields inherited from interface org.apache.tools.ant.taskdefs.XSLTLiaison

`FILE_PROTOCOL_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`Xalan2Liaison()`

### Method Summary

Methods
`void` `addParam(String name, String value)`
`protected String` `getSystemId(File file)`
`void` `setStylesheet(File stylesheet)`
`void` `transform(File infile, File outfile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Xalan2Liaison

    public Xalan2Liaison()
                  throws Exception

Throws:
  `Exception`

### Method Detail

#### setStylesheet

    public void setStylesheet(File stylesheet)
                       throws Exception

Specified by:
  `setStylesheet` in interface `org.apache.tools.ant.taskdefs.XSLTLiaison`
Throws:
  `Exception`

#### transform

    public void transform(File infile,
                 File outfile)
                   throws Exception

Specified by:
  `transform` in interface `org.apache.tools.ant.taskdefs.XSLTLiaison`
Throws:
  `Exception`

#### getSystemId

    protected String getSystemId(File file)

#### addParam

    public void addParam(String name,
                String value)

Specified by:
  `addParam` in interface `org.apache.tools.ant.taskdefs.XSLTLiaison`